> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/contract-templates/get-supported-blockchains-for-the-template",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get supported blockchains for the template

> Get supported blockchains for the template



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/templates/{contractTemplateId}/supported_blockchains
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/templates/{contractTemplateId}/supported_blockchains:
    get:
      tags:
        - Contract Templates
      summary: Get supported blockchains for the template
      description: Get supported blockchains for the template
      operationId: getSupportedBlockchainsByTemplateId
      parameters:
        - name: contractTemplateId
          required: true
          in: path
          description: The Contract Template identifier
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
          schema:
            type: string
      responses:
        '200':
          description: Supported blockchains list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedBlockChainsResponse'
        '404':
          description: Could not find contract.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpContractDoesNotExistError'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<SupportedBlockChainsResponse>> =
            fireblocks.contractTemplates.getSupportedBlockchainsByTemplateId(contractTemplatesApiGetSupportedBlockchainsByTemplateIdRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<SupportedBlockChainsResponse>>
            response =
            fireblocks.contractTemplates().getSupportedBlockchainsByTemplateId(contractTemplateId);
        - lang: Python
          source: >-
            response =
            fireblocks.contract_templates.get_supported_blockchains_by_template_id(contract_template_id);
components:
  schemas:
    SupportedBlockChainsResponse:
      type: object
      properties:
        supportsAllBlockchains:
          type: boolean
          description: Boolean representing if all blockchains are supported
          example: true
        supportedBlockchains:
          type: array
          description: List of supported blockchains
          items:
            $ref: '#/components/schemas/SupportedBlockchain'
      required:
        - supportsAllBlockchains
    HttpContractDoesNotExistError:
      type: object
      properties:
        message:
          type: string
          description: Not Found error code
          example: Contract does not exist
        code:
          type: string
          description: Error code
          example: 404
    SupportedBlockchain:
      type: object
      properties:
        id:
          type: string
          description: The ID of the blockchain
          example: 9f9f7062-df90-4fc0-8697-96685184357b
        legacyId:
          type: string
          description: The old blockchain ID representation of the blockchain
          example: ETH
        displayName:
          type: string
          description: The name of the blockchain
          example: Ethereum
        nativeAssetId:
          type: string
          description: Native asset ID of this blockchain
          example: 9f9f7062-df90-4fc0-8697-96685184356a
      required:
        - id
        - legacyId
        - displayName
        - nativeAssetId
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````